OutOfBoundsException
OverflowException
Exceptions
PHP Manual

# The OutOfRangeException class

(PHP 5 >= 5.1.0)

## Introduction

Exception thrown when an illegal index was requested. This represents errors that should be detected at compile time.

## Class synopsis

OutOfRangeException extends LogicException {
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public mixed Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

OutOfBoundsException
OverflowException
Exceptions
PHP Manual